<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.4.103
Name: Social History Observation
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345">
   <title>Social History Observation</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]"
         id="d20e7595-false-d56798e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="string(@classCode) = ('OBS')">(cdachsmcp_entry_SocialHistoryObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="string(@moodCode) = ('EVN')">(cdachsmcp_entry_SocialHistoryObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('66476-3')]) or (hl7:value[@xsi:type='II' and @root='1.0.3166.2.2.3' and @extension])">(cdachsmcp_entry_SocialHistoryObservation): The country of citizenship must be valued based on II datatype and ISO 3166-1 alpha-3 country code (1.0.3166) as the root domain.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('67413-5')]) or (hl7:value[@xsi:type='II' and @root='1.0.3166.2.2.3' and @extension])">(cdachsmcp_entry_SocialHistoryObservation): The country of origin must be valued based on II datatype and ISO 3166-1 alpha-3 country code (1.0.3166) as the root domain.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('21847-9')]) or (hl7:value[@xsi:type='ST' and text()])">(cdachsmcp_entry_SocialHistoryObservation): The occupation must be valued based on ST datatype.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('11295-3')]) or (hl7:value[@xsi:type='CD' and @codeSystem='2.16.756.5.30.2.1.1.12' and @code])">(cdachsmcp_entry_SocialHistoryObservation): The Employment status must be valued based on CD datatype and the Swiss employment status code (2.16.756.5.30.2.1.1.12) as code system.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('1.13')]) or (hl7:value[@xsi:type='CD' and @codeSystem='2.16.756.5.30.1.112.3.1.201812.8' and @code])">(cdachsmcp_entry_SocialHistoryObservation): Residence permit must be valued based on CD datatype and the corresponding DMST code (2.16.756.5.30.1.112.3.1.201812.8) as code system.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('1.18', '5.1', '5.4')]) or (hl7:value[@xsi:type='CD' and @codeSystem=('2.16.756.5.30.2.1.1.3.1') and @code])">(cdachsmcp_entry_SocialHistoryObservation): Minor children in charge, Justice mandate, Outpatient measures, Coercive measures, Outpatient measures must be valued based on CD datatype and the Swiss Standard CDA Body Selection code (2.16.756.5.30.2.1.1.3.1) as code system.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('1.18')]) or (hl7:value[@code='N']) or (hl7:value[@code='Y'] and hl7:value[@xsi:type='ST' and text()])">(cdachsmcp_entry_SocialHistoryObservation): When Minor children in charge is anserwed by yes, a precision must be valued based on ST datatype.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('1.20')]) or (hl7:value[@xsi:type='BL'])">(cdachsmcp_entry_SocialHistoryObservation): Mandate for incapacity must be valued based on BL datatype.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('1.21')]) or (hl7:value[@xsi:type='BL'])">(cdachsmcp_entry_SocialHistoryObservation): Joint crisis plan must be valued based on BL datatype.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('5.1')]) or (hl7:value[@code='N']) or (hl7:value[@code='Y'] and hl7:value[@xsi:type='ST' and text()])">(cdachsmcp_entry_SocialHistoryObservation): When Justice mandate is anserwed by yes, a precision must be valued based on ST datatype.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('5.2')]) or (hl7:value[@xsi:type='BL'])">(cdachsmcp_entry_SocialHistoryObservation): Guardian must be valued based on BL datatype.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('5.3')]) or (hl7:value[@xsi:type='BL'])">(cdachsmcp_entry_SocialHistoryObservation): Coercive measures must be valued based on BL datatype.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('5.4')]) or (hl7:value[@code='N']) or (hl7:value[@code='Y'] and hl7:performer)">(cdachsmcp_entry_SocialHistoryObservation): When Outpatient measures decision is anserwed by yes, a performer must be provided.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('5.5')]) or (hl7:value[@xsi:type='BL'])">(cdachsmcp_entry_SocialHistoryObservation): Coercive measures protocol must be valued based on BL datatype.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('3.1','3.2','3.3','3.4','3.5','3.6','3.7','3.8','3.9')]) or (hl7:value[@xsi:type='BL' and @value='false']) or (hl7:value[@xsi:type='BL' and @value='true'] and hl7:value[@xsi:type='CD' and @codeSystem='2.16.756.5.30.1.112.3.1.201812.10' and @code])">(cdachsmcp_entry_SocialHistoryObservation): If one of the social insurances are answered by yes, a precision must be valued based on CD datatype and the corresponding precision type code of the canton of Vaud (2.16.756.5.30.1.112.3.1.201812.10) as code system.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('3.9')]) or (hl7:value[@xsi:type='ST' and text()])">(cdachsmcp_entry_SocialHistoryObservation): The name of other social insurance must be valued based on ST datatype.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(hl7:code[@code=('4.3')]) or (hl7:value[@xsi:type='PQ' and @value and @unit='%'])">(cdachsmcp_entry_SocialHistoryObservation): The occupancy rate must be valued based on PQ datatype using % in the unit.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103']) &gt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103']) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69']) &gt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69']) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4']) &gt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4']) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']) &gt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']) &gt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33'] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:id[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:effectiveTime) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:effectiveTime) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:repeatNumber) = 0">(cdachsmcp_entry_SocialHistoryObservation): element hl7:repeatNumber MAY NOT be present.</assert>
      <let name="elmcount"
           value="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] | hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.16-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.18-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.2.1.1.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] | hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] | hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] | hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="$elmcount &gt;= 1">(cdachsmcp_entry_SocialHistoryObservation): choice (hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]  or  hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.16-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.18-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.2.1.1.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]  or  hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]  or  hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]  or  hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]  or  hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="$elmcount &lt;= 3">(cdachsmcp_entry_SocialHistoryObservation): choice (hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]  or  hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.16-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.18-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.2.1.1.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]  or  hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]  or  hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]  or  hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]  or  hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) contains too many elements [max 3x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.16-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.18-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.2.1.1.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.16-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.18-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.2.1.1.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:interpretationCode) = 0">(cdachsmcp_entry_SocialHistoryObservation): element hl7:interpretationCode MAY NOT be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:methodCode) = 0">(cdachsmcp_entry_SocialHistoryObservation): element hl7:methodCode MAY NOT be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:targetSiteCode) = 0">(cdachsmcp_entry_SocialHistoryObservation): element hl7:targetSiteCode MAY NOT be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103']
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103']"
         id="d20e7601-false-d57068e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.4.103')">(cdachsmcp_entry_SocialHistoryObservation): The value for root SHALL be '2.16.756.5.30.1.1.10.4.103'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69']
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69']"
         id="d20e7606-false-d57083e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.4.69')">(cdachsmcp_entry_SocialHistoryObservation): The value for root SHALL be '2.16.756.5.30.1.1.10.4.69'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4']
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4']"
         id="d20e7611-false-d57098e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.4.13.4')">(cdachsmcp_entry_SocialHistoryObservation): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']"
         id="d20e7617-false-d57113e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.4.13')">(cdachsmcp_entry_SocialHistoryObservation): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.13'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']"
         id="d20e7622-false-d57128e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.1.33')">(cdachsmcp_entry_SocialHistoryObservation): The value for root SHALL be '2.16.840.1.113883.10.20.1.33'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:id[not(@nullFlavor)]
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:id[not(@nullFlavor)]"
         id="d20e7627-false-d57142e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e7629-false-d57155e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(cdachsmcp_entry_SocialHistoryObservation): The element value SHALL be one of '2.16.756.5.30.1.1.1.1.3.6.3.11.1 Social History Elements (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:text[not(@nullFlavor)]
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:text[not(@nullFlavor)]"
         id="d20e7634-false-d57175e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="count(hl7:reference) &lt;= 1">(cdachsmcp_entry_SocialHistoryObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:text[not(@nullFlavor)]/hl7:reference
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:text[not(@nullFlavor)]/hl7:reference"
         id="d20e7636-false-d57192e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@value">(cdachsmcp_entry_SocialHistoryObservation): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@value) or string-length(@value)&gt;0">(cdachsmcp_entry_SocialHistoryObservation): Attribute @value SHALL be of data type 'st'  - '<value-of select="@value"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:statusCode[@code = 'completed']
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:statusCode[@code = 'completed']"
         id="d20e7642-false-d57209e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="string(@code) = ('completed')">(cdachsmcp_entry_SocialHistoryObservation): The value for code SHALL be 'completed'. Found: "<value-of select="@code"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:effectiveTime
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:effectiveTime"
         id="d20e7650-false-d57223e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(*)">(cdachsmcp_entry_SocialHistoryObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(cdachsmcp_entry_SocialHistoryObservation): Attribute @value SHALL be of data type 'ts'  - '<value-of select="@value"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:effectiveTime
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:effectiveTime"
         id="d20e7662-false-d57240e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:effectiveTime/hl7:low
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:effectiveTime/hl7:low"
         id="d20e7667-false-d57258e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:effectiveTime/hl7:high
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:effectiveTime/hl7:high"
         id="d20e7673-false-d57268e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:repeatNumber
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:repeatNumber"
         id="d20e7681-false-d57278e0">
      <extends rule="IVL_INT"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_INT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d20e7685-false-d57288e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@xsi:type">(cdachsmcp_entry_SocialHistoryObservation): attribute @xsi:type SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@value">(cdachsmcp_entry_SocialHistoryObservation): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@value) or string(@value)=('true','false')">(cdachsmcp_entry_SocialHistoryObservation): Attribute @value SHALL be of data type 'bl'  - '<value-of select="@value"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@value='true' and parent::hl7:observation/hl7:code[@code=('1.20')]) or (parent::hl7:observation/hl7:value[@xsi:type='CD' and @codeSystem='2.16.756.5.30.1.112.3.1.201812.5'])">(cdachsmcp_entry_SocialHistoryObservation): Mandate for incapacity must be precised using another value element containing a code of code system 2.16.756.5.30.1.112.3.1.201812.5.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@value='true' and parent::hl7:observation/hl7:code[@code=('1.21')]) or (parent::hl7:observation/hl7:value[@xsi:type='CD' and @codeSystem='2.16.756.5.30.1.112.3.1.201812.9'])">(cdachsmcp_entry_SocialHistoryObservation): Plan de crise conjoint must be precised using another value element containing a code of code system 2.16.756.5.30.1.112.3.1.201812.9.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@value='true' and parent::hl7:observation/hl7:code[@code=('5.2')]) or (parent::hl7:observation/hl7:value[@xsi:type='CD' and @codeSystem='2.16.756.5.30.1.112.3.1.201812.2'])">(cdachsmcp_entry_SocialHistoryObservation): Guardian must be precised using another value element containing a code of code system 2.16.756.5.30.1.112.3.1.201812.2.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@value='true' and parent::hl7:observation/hl7:code[@code=('5.3')]) or (parent::hl7:observation/hl7:value[@xsi:type='CD' and @codeSystem='2.16.756.5.30.1.112.3.1.201812.3'])">(cdachsmcp_entry_SocialHistoryObservation): Coercive measures must be precised using another value element containing a code of code system 2.16.756.5.30.1.112.3.1.201812.3.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@value='true' and parent::hl7:observation/hl7:code[@code=('5.5')]) or (parent::hl7:observation/hl7:value[@xsi:type='CD' and @codeSystem='2.16.756.5.30.1.112.3.1.201812.4'])">(cdachsmcp_entry_SocialHistoryObservation): Coercive measures protocol must be precised using another value element containing a code of code system 2.16.756.5.30.1.112.3.1.201812.4.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.16-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.18-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.2.1.1.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.14-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.16-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.18-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.2.1.1.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e7708-false-d57323e0">
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.14-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.15-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.16-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.17-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.18-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.19-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.20-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.2.1.1.12-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(cdachsmcp_entry_SocialHistoryObservation): The element value SHALL be one of '2.16.756.5.30.1.1.1.1.3.6.3.11.14 Residence permits (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.15 dmst-prec3 (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.16 dmst-prec-pcc (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.17 dmst-prec4 (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.18 guardian-type (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.19 dmst-prec1 (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.20 dmst-prec2 (DYNAMIC) or 2.16.756.5.30.1.1.11.1 Standard CDA Body Selection (DYNAMIC) or 2.16.756.5.30.2.1.1.12 Employment Status (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(cdachsmcp_entry_SocialHistoryObservation): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set 2.16.756.5.30.1.1.1.1.3.6.3.11.14 Residence permits (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.15 dmst-prec3 (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.16 dmst-prec-pcc (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.17 dmst-prec4 (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.18 guardian-type (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.19 dmst-prec1 (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.20 dmst-prec2 (DYNAMIC) or 2.16.756.5.30.1.1.11.1 Standard CDA Body Selection (DYNAMIC) or 2.16.756.5.30.2.1.1.12 Employment Status (DYNAMIC).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@xsi:type">(cdachsmcp_entry_SocialHistoryObservation): attribute @xsi:type SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@code">(cdachsmcp_entry_SocialHistoryObservation): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(cdachsmcp_entry_SocialHistoryObservation): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@codeSystem">(cdachsmcp_entry_SocialHistoryObservation): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$')">(cdachsmcp_entry_SocialHistoryObservation): Attribute @codeSystem SHALL be of data type 'oid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@codeSystemName">(cdachsmcp_entry_SocialHistoryObservation): attribute @codeSystemName SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(cdachsmcp_entry_SocialHistoryObservation): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@displayName">(cdachsmcp_entry_SocialHistoryObservation): attribute @displayName SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(cdachsmcp_entry_SocialHistoryObservation): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@codeSystem=('2.16.756.5.30.1.112.3.1.201812.3', '2.16.756.5.30.1.112.3.1.201812.4', '2.16.756.5.30.1.112.3.1.201812.5') and @code=('a')) or (parent::hl7:observation/hl7:reference[hl7:templateId/@root='2.16.840.1.113883.10.20.1.36'])">(cdachsmcp_entry_SocialHistoryObservation): When a question is anserwed by attached, a reference to an externaL document ist required.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@codeSystem='2.16.756.5.30.1.112.3.1.201812.5' and @code=('d')) or (parent::hl7:observation/hl7:value[@xsi:type='ST']/text())">(cdachsmcp_entry_SocialHistoryObservation): When Mandate for incapacity is anserwed by deposited, a precision must be valued based on ST datatype.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@codeSystem='2.16.756.5.30.2.1.1.12' and @code=('u')) or (parent::hl7:observation/hl7:value[@xsi:type='IVL_TS']/hl7:low)">(cdachsmcp_entry_SocialHistoryObservation): When Employment status is anserwed by unemployed, the start date must be valued based on IVL_TS datatype in the low element.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d20e7750-false-d57414e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@xsi:type">(cdachsmcp_entry_SocialHistoryObservation): attribute @xsi:type SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@root">(cdachsmcp_entry_SocialHistoryObservation): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@root) or string-length(@root)&gt;0">(cdachsmcp_entry_SocialHistoryObservation): Attribute @root SHALL be of data type 'st'  - '<value-of select="@root"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@extension">(cdachsmcp_entry_SocialHistoryObservation): attribute @extension SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@extension) or string-length(@extension)&gt;0">(cdachsmcp_entry_SocialHistoryObservation): Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d20e7759-false-d57435e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@xsi:type">(cdachsmcp_entry_SocialHistoryObservation): attribute @xsi:type SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]/hl7:low
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]/hl7:low"
         id="d20e7763-false-d57453e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(*)">(cdachsmcp_entry_SocialHistoryObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]/hl7:high
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]/hl7:high"
         id="d20e7765-false-d57466e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(*)">(cdachsmcp_entry_SocialHistoryObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d20e7768-false-d57479e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(cdachsmcp_entry_SocialHistoryObservation): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(cdachsmcp_entry_SocialHistoryObservation): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@xsi:type">(cdachsmcp_entry_SocialHistoryObservation): attribute @xsi:type SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@value">(cdachsmcp_entry_SocialHistoryObservation): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@value) or string-length(@value)&gt;0">(cdachsmcp_entry_SocialHistoryObservation): Attribute @value SHALL be of data type 'st'  - '<value-of select="@value"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@unit">(cdachsmcp_entry_SocialHistoryObservation): attribute @unit SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="not(@unit) or string-length(@unit)&gt;0">(cdachsmcp_entry_SocialHistoryObservation): Attribute @unit SHALL be of data type 'st'  - '<value-of select="@unit"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d20e7778-false-d57504e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="@xsi:type">(cdachsmcp_entry_SocialHistoryObservation): attribute @xsi:type SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:interpretationCode
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:interpretationCode"
         id="d20e7784-false-d57515e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:methodCode
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:methodCode"
         id="d20e7786-false-d57525e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:targetSiteCode
Item: (cdachsmcp_entry_SocialHistoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:targetSiteCode"
         id="d20e7788-false-d57535e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.4.103-2017-09-14T160345.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_SocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.103
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.103'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.69'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.33']]/hl7:performer[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.111'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.9.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.24.3.5']]
Item: (cdachsmcp_entry_SocialHistoryObservation)
--></pattern>
