<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.1.11
Name: Social-medical care plan V2
Description: Social-medical care plan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003">
   <title>Social-medical care plan V2</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /
Item: (CDA-CH-SMCP-V2)
-->

   <rule context="/" id="d20e1084-false-d3147e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]
Item: (CDA-CH-SMCP-V2)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]"
         id="d20e1118-false-d4288e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:realmCode[@code = 'CHE']) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:realmCode[@code = 'CHE'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:realmCode[@code = 'CHE']) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:realmCode[@code = 'CHE'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040']) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040']) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.4']) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.4'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.2']) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.2']) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.1']) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.1']) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.6.3']) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.6.3'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11']) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11']) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:id[not(@nullFlavor)][not(@extension)]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:id[not(@nullFlavor)][not(@extension)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:id[not(@nullFlavor)][not(@extension)]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:id[not(@nullFlavor)][not(@extension)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:code[(@code = '56447-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:code[(@code = '56447-6' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:code[(@code = '56447-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:code[(@code = '56447-6' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:title[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:effectiveTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:effectiveTime[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:confidentialityCode[@codeSystem = '2.16.840.1.113883.6.96' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.3.10.1.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:confidentialityCode[@codeSystem = '2.16.840.1.113883.6.96' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.3.10.1.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:confidentialityCode[@codeSystem = '2.16.840.1.113883.6.96' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.3.10.1.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:confidentialityCode[@codeSystem = '2.16.840.1.113883.6.96' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.3.10.1.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:languageCode[not(@nullFlavor)]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:languageCode[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:languageCode[not(@nullFlavor)]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:languageCode[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:setId[not(@nullFlavor)][not(@extension)]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:setId[not(@nullFlavor)][not(@extension)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:setId[not(@nullFlavor)][not(@extension)]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:setId[not(@nullFlavor)][not(@extension)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:versionNumber[not(@nullFlavor)]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:versionNumber[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:versionNumber[not(@nullFlavor)]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:versionNumber[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:recordTarget[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.76'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.1']]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:recordTarget[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.76'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.1']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:recordTarget[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.76'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.1']]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:recordTarget[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.76'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.1']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:author[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.74'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.9.23']]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:author[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.74'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.9.23']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:author[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.74'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.9.23']]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:author[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.74'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.9.23']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:dataEnterer[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.7']]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:dataEnterer[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.7']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:custodian[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.3']]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:custodian[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.3']] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:custodian[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.3']]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:custodian[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.3']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:informationRecipient[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.4'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.75']]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:informationRecipient[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.4'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.75']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:informationRecipient[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.4'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.75']]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:informationRecipient[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.4'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.75']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:legalAuthenticator[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.82'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.5']]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:legalAuthenticator[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.82'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.5']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:legalAuthenticator[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.82'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.5']]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:legalAuthenticator[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.82'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.5']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:participant[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.77'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.15']]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:participant[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.77'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.15']] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:participant[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.77'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.15']]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:participant[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.77'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.15']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:participant[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.78'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.15']]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:participant[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.78'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.15']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:participant[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.79'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.15']]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:participant[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.79'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.15']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:participant[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.80'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.40'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.41'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.2.2']]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:participant[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.80'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.40'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.41'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.2.2']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:participant[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.81'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.43'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.2.4']]) &gt;= 2">(CDA-CH-SMCP-V2): element hl7:participant[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.81'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.43'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.2.4']] is required [min 2x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:inFulfillmentOf[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.16']]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:inFulfillmentOf[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.16']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:documentationOf[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.46']]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:documentationOf[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.46']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:structuredBody]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:structuredBody] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:structuredBody]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:structuredBody] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.25
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:realmCode[@code = 'CHE']
Item: (cdach_header_DocumentRealm)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:realmCode[@code = 'CHE']"
         id="d4358e124-false-d5281e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.25-2018-04-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdach_header_DocumentRealm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.25-2018-04-18T000000.html"
              test="@nullFlavor or (@code='CHE')">(cdach_header_DocumentRealm): The element value SHALL be one of 'code 'CHE''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040']
Item: (CDA-CH-SMCP-V2)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040']"
         id="d20e1189-false-d5298e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-SMCP-V2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="string(@root) = ('2.16.840.1.113883.1.3')">(CDA-CH-SMCP-V2): The value for root SHALL be '2.16.840.1.113883.1.3'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="string(@extension) = ('POCD_HD000040')">(CDA-CH-SMCP-V2): The value for extension SHALL be 'POCD_HD000040'. Found: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="not(@extension) or string-length(@extension)&gt;0">(CDA-CH-SMCP-V2): Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.18
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.4']
Item: (cdach_header_DocumentTemplateIdsCdaChv2.0-structuredBody)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.4']"
         id="d5299e48-false-d5321e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.18-2018-04-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdach_header_DocumentTemplateIdsCdaChv2.0-structuredBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.18-2018-04-18T000000.html"
              test="string(@root) = ('2.16.756.5.30.1.1.1.1.4')">(cdach_header_DocumentTemplateIdsCdaChv2.0-structuredBody): The value for root SHALL be '2.16.756.5.30.1.1.1.1.4'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.18
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.2']
Item: (cdach_header_DocumentTemplateIdsCdaChv2.0-structuredBody)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.2']"
         id="d5299e57-false-d5336e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.18-2018-04-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdach_header_DocumentTemplateIdsCdaChv2.0-structuredBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.18-2018-04-18T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.12.2')">(cdach_header_DocumentTemplateIdsCdaChv2.0-structuredBody): The value for root SHALL be '2.16.840.1.113883.10.12.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.18
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.1']
Item: (cdach_header_DocumentTemplateIdsCdaChv2.0-structuredBody)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.1']"
         id="d5299e65-false-d5351e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.18-2018-04-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdach_header_DocumentTemplateIdsCdaChv2.0-structuredBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.18-2018-04-18T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.12.1')">(cdach_header_DocumentTemplateIdsCdaChv2.0-structuredBody): The value for root SHALL be '2.16.840.1.113883.10.12.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.84
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.6.3']
Item: (cdachsmcp_header_TemplateIdsCdaChSmcpV2)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.6.3']"
         id="d5352e43-false-d5367e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.84-2017-10-17T104840.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_header_TemplateIdsCdaChSmcpV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.84-2017-10-17T104840.html"
              test="string(@root) = ('2.16.756.5.30.1.1.1.1.3.6.3')">(cdachsmcp_header_TemplateIdsCdaChSmcpV2): The value for root SHALL be '2.16.756.5.30.1.1.1.1.3.6.3'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.84
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11']
Item: (cdachsmcp_header_TemplateIdsCdaChSmcpV2)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11']"
         id="d5352e51-false-d5382e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.84-2017-10-17T104840.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_header_TemplateIdsCdaChSmcpV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.84-2017-10-17T104840.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.1.11')">(cdachsmcp_header_TemplateIdsCdaChSmcpV2): The value for root SHALL be '2.16.756.5.30.1.1.10.1.11'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.84
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']
Item: (cdachsmcp_header_TemplateIdsCdaChSmcpV2)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']"
         id="d5352e59-false-d5397e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.84-2017-10-17T104840.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_header_TemplateIdsCdaChSmcpV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.84-2017-10-17T104840.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1')">(cdachsmcp_header_TemplateIdsCdaChSmcpV2): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.23
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:id[not(@nullFlavor)][not(@extension)]
Item: (cdach_header_DocumentId)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:id[not(@nullFlavor)][not(@extension)]"
         id="d5398e29-false-d5412e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.23-2018-04-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdach_header_DocumentId): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.23-2018-04-18T000000.html"
              test="@root">(cdach_header_DocumentId): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.23-2018-04-18T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(cdach_header_DocumentId): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.23-2018-04-18T000000.html"
              test="not(@extension)">(cdach_header_DocumentId): attribute @extension MAY NOT be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.23-2018-04-18T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(cdach_header_DocumentId): Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.83
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:code[(@code = '56447-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (cdachsmcp_header_DocumentCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:code[(@code = '56447-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d5413e47-false-d5435e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_header_DocumentCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="string(@code) = ('56447-6')">(cdachsmcp_header_DocumentCode): The value for code SHALL be '56447-6'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(cdachsmcp_header_DocumentCode): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="string(@codeSystemName) = ('LOINC')">(cdachsmcp_header_DocumentCode): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(cdachsmcp_header_DocumentCode): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="string(@displayName) = ('Plan of Care Note')">(cdachsmcp_header_DocumentCode): The value for displayName SHALL be 'Plan of Care Note'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(cdachsmcp_header_DocumentCode): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="count(hl7:translation[(@code = '721915006' and @codeSystem = '2.16.840.1.113883.6.96') or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.3.10.1.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(cdachsmcp_header_DocumentCode): element hl7:translation[(@code = '721915006' and @codeSystem = '2.16.840.1.113883.6.96') or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.3.10.1.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="count(hl7:translation[(@code = '721915006' and @codeSystem = '2.16.840.1.113883.6.96') or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.3.10.1.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(cdachsmcp_header_DocumentCode): element hl7:translation[(@code = '721915006' and @codeSystem = '2.16.840.1.113883.6.96') or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.3.10.1.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.83
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:code[(@code = '56447-6' and @codeSystem = '2.16.840.1.113883.6.1')]/hl7:translation[(@code = '721915006' and @codeSystem = '2.16.840.1.113883.6.96') or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.3.10.1.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (cdachsmcp_header_DocumentCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:code[(@code = '56447-6' and @codeSystem = '2.16.840.1.113883.6.1')]/hl7:translation[(@code = '721915006' and @codeSystem = '2.16.840.1.113883.6.96') or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.3.10.1.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d5413e61-false-d5480e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_header_DocumentCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.127.3.10.1.27-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(cdachsmcp_header_DocumentCode): The element value SHALL be one of '2.16.756.5.30.1.127.3.10.1.27 EprDocumentTypeCode (DYNAMIC)'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="string(@code) = ('721915006')">(cdachsmcp_header_DocumentCode): The value for code SHALL be '721915006'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.96')">(cdachsmcp_header_DocumentCode): The value for codeSystem SHALL be '2.16.840.1.113883.6.96'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="string(@codeSystemName) = ('SNOMED CT')">(cdachsmcp_header_DocumentCode): The value for codeSystemName SHALL be 'SNOMED CT'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(cdachsmcp_header_DocumentCode): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="string(@displayName) = ('Admission request')">(cdachsmcp_header_DocumentCode): The value for displayName SHALL be 'Admission request'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.83-2017-09-14T115620.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(cdachsmcp_header_DocumentCode): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.73
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:title[not(@nullFlavor)]
Item: (cdachsmcp_header_DocumentTitle)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:title[not(@nullFlavor)]"
         id="d5481e54-false-d5521e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.73-2017-09-02T170809.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_header_DocumentTitle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="languageCode"
           value="substring(/hl7:ClinicalDocument/hl7:languageCode/@code,1,2)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.73-2017-09-02T170809.html"
              test="not($languageCode='de') or starts-with(text(),'Sozial-medizinischer Pflegeverlegungsbericht')">(cdachsmcp_header_DocumentTitle): The German title must start with 'Sozial-medizinischer Pflegeverlegungsbericht'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.73-2017-09-02T170809.html"
              test="not($languageCode='fr') or starts-with(text(),'Document médico-social de transmission')">(cdachsmcp_header_DocumentTitle): The French title must start with 'Document médico-social de transmission'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.73-2017-09-02T170809.html"
              test="not($languageCode='en') or starts-with(text(),'Social-medical care plan')">(cdachsmcp_header_DocumentTitle): The English title must start with 'Social-medical care plan'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (CDA-CH-SMCP-V2)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d20e1207-false-d5531e0">
      <extends rule="TS.CH.TZ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-SMCP-V2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="not(*)">(CDA-CH-SMCP-V2): <value-of select="local-name()"/> with datatype TS.CH.TZ, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.19
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:confidentialityCode[@codeSystem = '2.16.840.1.113883.6.96' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.3.10.1.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (cdach_header_DocumentConfidentialityCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:confidentialityCode[@codeSystem = '2.16.840.1.113883.6.96' or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.3.10.1.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d5532e48-false-d5548e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.19-2018-04-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdach_header_DocumentConfidentialityCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.19-2018-04-18T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.127.3.10.1.5-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(cdach_header_DocumentConfidentialityCode): The element value SHALL be one of '2.16.756.5.30.1.127.3.10.1.5 EprDocumentConfidentialityCode (DYNAMIC)'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.19-2018-04-18T000000.html"
              test="@code">(cdach_header_DocumentConfidentialityCode): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.19-2018-04-18T000000.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(cdach_header_DocumentConfidentialityCode): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.19-2018-04-18T000000.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.96')">(cdach_header_DocumentConfidentialityCode): The value for codeSystem SHALL be '2.16.840.1.113883.6.96'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.19-2018-04-18T000000.html"
              test="string(@codeSystemName) = ('SNOMED CT')">(cdach_header_DocumentConfidentialityCode): The value for codeSystemName SHALL be 'SNOMED CT'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.19-2018-04-18T000000.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(cdach_header_DocumentConfidentialityCode): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.19-2018-04-18T000000.html"
              test="@displayName">(cdach_header_DocumentConfidentialityCode): attribute @displayName SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.19-2018-04-18T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(cdach_header_DocumentConfidentialityCode): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.22
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:languageCode[not(@nullFlavor)]
Item: (cdach_header_DocumentLanguage)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:languageCode[not(@nullFlavor)]"
         id="d5549e70-false-d5592e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.22-2018-04-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdach_header_DocumentLanguage): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.20
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:setId[not(@extension)]
Item: (cdach_header_DocumentSetIdAndVersionNumber)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:setId[not(@extension)]"
         id="d5593e39-false-d5607e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.20-2018-04-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdach_header_DocumentSetIdAndVersionNumber): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.20-2018-04-18T000000.html"
              test="@root">(cdach_header_DocumentSetIdAndVersionNumber): attribute @root SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.20-2018-04-18T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(cdach_header_DocumentSetIdAndVersionNumber): Attribute @root SHALL be of data type 'uid'  - '<value-of select="@root"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.20-2018-04-18T000000.html"
              test="not(@extension)">(cdach_header_DocumentSetIdAndVersionNumber): attribute @extension MAY NOT be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.20-2018-04-18T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(cdach_header_DocumentSetIdAndVersionNumber): Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.20-2018-04-18T000000.html"
              test="(parent::*/hl7:versionNumber[@value='1'] and @root=parent::*/hl7:id/@root and (@extension=parent::*/hl7:id/@extension or (not(@extension) and not(parent::*/hl7:id/@extension)))) or (parent::*/hl7:versionNumber[not(@value ='1')] and ((@root=parent::*/hl7:id/@root and @extension and not(@extension=parent::*/hl7:id/@extension)) or(not(@root=parent::*/hl7:id/@root))))">(cdach_header_DocumentSetIdAndVersionNumber): The setId MUST be equal with the document id for version 1 and it MUST differ for all other versions.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.2.20
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:versionNumber
Item: (cdach_header_DocumentSetIdAndVersionNumber)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:versionNumber"
         id="d5593e56-false-d5628e0">
      <extends rule="INT.NONNEG"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.20-2018-04-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdach_header_DocumentSetIdAndVersionNumber): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.2.20-2018-04-18T000000.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(cdach_header_DocumentSetIdAndVersionNumber): @value is not a valid INT number <value-of select="@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]
Item: (CDA-CH-SMCP-V2)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]"
         id="d20e1255-false-d5795e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:structuredBody) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:structuredBody is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:structuredBody) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:structuredBody appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody
Item: (CDA-CH-SMCP-V2)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody"
         id="d20e1257-false-d6061e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.54'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.20'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.13.2.4']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.54'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.20'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.13.2.4']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.54'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.20'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.13.2.4']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.54'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.20'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.13.2.4']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.55'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.21'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.5'] and hl7:templateId[@root = '2.16.840.1.11383.10.20.1.7']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.55'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.21'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.5'] and hl7:templateId[@root = '2.16.840.1.11383.10.20.1.7']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.55'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.21'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.5'] and hl7:templateId[@root = '2.16.840.1.11383.10.20.1.7']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.55'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.21'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.5'] and hl7:templateId[@root = '2.16.840.1.11383.10.20.1.7']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.56'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.22'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.18']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.56'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.22'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.56'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.22'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.18']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.56'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.22'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.18']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.59'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.25'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.6'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.11']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.59'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.25'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.6'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.11']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.59'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.25'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.6'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.11']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.59'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.25'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.6'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.11']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.70'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.26'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.13.2.1']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.70'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.26'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.13.2.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.70'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.26'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.13.2.1']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.70'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.26'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.13.2.1']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.61'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.31'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.10']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.61'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.31'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.10']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.61'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.31'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.10']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.61'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.31'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.10']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.62'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.1']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.62'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.62'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.1']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.62'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.1']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.65'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.2']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.65'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.2']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.65'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.2']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.65'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.2']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.66'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.33'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.3']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.66'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.33'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.3']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.66'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.33'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.3']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.66'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.33'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.3']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.67'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.34'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.7']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.67'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.34'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.7']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.67'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.34'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.7']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.67'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.34'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.7']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.68'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.3']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.68'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.3']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.68'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.3']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.68'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.3']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.69'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.36'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.19'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.8']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.69'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.36'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.19'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.8']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.69'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.36'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.19'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.8']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.69'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.36'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.19'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.8']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.71'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.1']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.71'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.71'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.1']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.71'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.1']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.72'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.38'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.10.3.2']]]) &gt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.72'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.38'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.10.3.2']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.72'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.38'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.10.3.2']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.72'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.38'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.10.3.2']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.1.11-2017-08-24T180003.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.73'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.2']]]) &lt;= 1">(CDA-CH-SMCP-V2): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.73'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.2']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.54'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.20'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.13.2.4']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.55'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.21'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.5'] and hl7:templateId[@root = '2.16.840.1.11383.10.20.1.7']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.56'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.22'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.18']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.58'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.24'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.16'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.15']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.59'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.25'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.6'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.11']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.70'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.26'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.13.2.1']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.60'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.2']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.61'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.27'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.31'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.10']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.62'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.1']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.65'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.32'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.2']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.66'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.33'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.3']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.67'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.34'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.7']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.68'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.2.3']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.69'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.36'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.19'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.8']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.71'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.1']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.72'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.38'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.10.3.2']]]
Item: (CDA-CH-SMCP-V2)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.1.11
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.2'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.1.11'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.20.1.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.73'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.2']]]
Item: (CDA-CH-SMCP-V2)
--></pattern>
